Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | Private Member Functions | Static Private Member Functions | List of all members
eZIniSettingType Class Reference

A content datatype for setting ini file settings. More...

Inheritance diagram for eZIniSettingType:

## Public Member Functions
| __construct ()
| validateObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| validateClassAttributeHTTPInput ( $http, $base, $classAttribute)
| initializeClassAttribute ( $classAttribute)
| initializeObjectAttribute ( $objectAttribute, $currentVersion, $originalContentObjectAttribute)
| fetchClassAttributeHTTPInput ( $http, $base, $classAttribute)
| fetchObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| onPublish ( $contentObjectAttribute, $contentObject, $publishedNodes)
| objectAttributeContent ( $contentObjectAttribute)
| title ( $contentObjectAttribute, $name=null)
| hasObjectAttributeContent ( $contentObjectAttribute)
| serializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| unserializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| toString ( $contentObjectAttribute)
| fromString ( $contentObjectAttribute, $string)
| serializeContentObjectAttribute ( $package, $objectAttribute)
| unserializeContentObjectAttribute ( $package, $objectAttribute, $attributeNode)
| diff ( $old, $new, $options=false)
Public Member Functions inherited from eZDataType
| __construct ( $dataTypeString, $name, $properties=array())
| eZDataType ( $dataTypeString, $name, $properties=array())
| viewTemplate ( $contentobjectAttribute)
| editTemplate ( $contentobjectAttribute)
| informationTemplate ( $contentobjectAttribute)
| resultTemplate (&$collectionAttribute)
| isA ()
| isTranslatable ()
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| isHTTPFileInsertionSupported ()
| isRegularFileInsertionSupported ()
| isSimpleStringInsertionSupported ()
| isRelationType ()
| insertHTTPFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $httpFile, $mimeData, &$result)
| insertRegularFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $filePath, &$result)
| insertSimpleString ( $object, $objectVersion, $objectLanguage, $objectAttribute, $string, &$result)
| hasStoredFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| handleDownload ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| storedFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| productOptionInformation ( $objectAttribute, $optionID, $productItem)
| objectDisplayInformation ( $objectAttribute, $mergeInfo=false)
| classDisplayInformation ( $classAttribute, $mergeInfo=false)
| classAttributeContent ( $classAttribute)
| storeObjectAttribute ( $objectAttribute)
| preStoreClassAttribute ( $classAttribute, $version)
| storeClassAttribute ( $classAttribute, $version)
| storeDefinedClassAttribute ( $classAttribute)
| storeModifiedClassAttribute ( $classAttribute)
| storeVersionedClassAttribute ( $classAttribute, $version)
| preStoreDefinedClassAttribute ( $classAttribute)
| preStoreModifiedClassAttribute ( $classAttribute)
| preStoreVersionedClassAttribute ( $classAttribute, $version)
| fixupClassAttributeHTTPInput ( $http, $base, $classAttribute)
| customClassAttributeHTTPAction ( $http, $action, $classAttribute)
| fetchActionValue ( $action, $actionName, &$value)
| fixupObjectAttributeHTTPInput ( $http, $base, $objectAttribute)
| validateCollectionAttributeHTTPInput ( $http, $base, $objectAttribute)
| fixupCollectionAttributeHTTPInput ( $http, $base, $objectAttribute)
| fetchCollectionAttributeHTTPInput ( $collection, $collectionAttribute, $http, $base, $objectAttribute)
| customObjectAttributeHTTPAction ( $http, $action, $objectAttribute, $parameters)
| handleCustomObjectHTTPActions ( $http, $attributeDataBaseName, $customActionAttributeArray, $customActionParameters)
| cloneClassAttribute ( $oldClassAttribute, $newClassAttribute)
| repairContentObjectAttribute ( $contentObjectAttribute)
| postInitializeObjectAttribute ( $objectAttribute, $currentVersion, $originalContentObjectAttribute)
| postStore ( $objectAttribute)
| trashStoredObjectAttribute ( $objectAttribute, $version=null)
| restoreTrashedObjectAttribute ( $objectAttribute)
| deleteStoredObjectAttribute ( $objectAttribute, $version=null)
| deleteStoredClassAttribute ( $classAttribute, $version=null)
| deleteNotVersionedStoredClassAttribute (eZContentClassAttribute $classAttribute)
| contentActionList ( $classAttribute)
| hasInformationCollection ()
| isIndexable ()
| isAddToBasketValidationRequired ()
| validateAddToBasket ( $objectAttribute, $data, &$errors)
| isClassAttributeRemovable ( $classAttribute)
| classAttributeRemovableInformation ( $classAttribute, $includeAll=true)
| isInformationCollector ()
| sortKey ( $objectAttribute)
| sortKeyType ()
| customSorting ()
| customSortingSQL ( $params)
| metaData ( $contentObjectAttribute)
| templateList ()
| postUnserializeContentObjectAttribute ( $package, $objectAttribute)
| removeRelatedObjectItem ( $contentObjectAttribute, $objectID)
| fixRelatedObjectItem ( $contentObjectAttribute, $objectID, $mode)
| createContentObjectAttributeDOMNode ( $objectAttribute)
| getDBAFileName ()
| getDBAFilePath ( $checkExtensions=true)
| getDBAExtensionFilePath ()
| importDBDataFromDBAFile ( $dbaFilePath=false)
| batchInitializeObjectAttributeData ( $classAttribute)
| supportsBatchInitializeObjectAttribute ()

## Public Attributes
const | DATA_TYPE_STRING = 'ezinisetting'
const | CLASS_TYPE = '_ezinisetting_type_'
const | CLASS_FILE = '_ezinisetting_file_'
const | CLASS_SECTION = '_ezinisetting_section_'
const | CLASS_PARAMETER = '_ezinisetting_parameter_'
const | CLASS_INI_INSTANCE = '_ezinisetting_ini_instance_'
const | CLASS_FILE_FIELD = 'data_text1'
const | CLASS_SECTION_FIELD = 'data_text2'
const | CLASS_PARAMETER_FIELD = 'data_text3'
const | CLASS_TYPE_FIELD = 'data_int1'
const | CLASS_INI_INSTANCE_FIELD = 'data_text4'
const | SITE_ACCESS_LIST_FIELD = 'data_text5'
const | CLASS_TYPE_ARRAY = 6
Public Attributes inherited from eZDataType
| $Attributes
| $DataTypeString
| The datatype string ID, used for uniquely identifying a datatype. More...
| $Name
| The descriptive name of the datatype, usually used for displaying to the user. More...

## Private Member Functions
| parseArrayInput ( $inputText, &$outputArray, $makeEmptyArray=false)
| iniParameterName ( $contentClassAttribute)
| iniFile ( $contentClassAttribute)
| iniSection ( $contentClassAttribute)

## Static Private Member Functions
| setSiteAccessList ( $contentClassAttribute)

## Additional Inherited Members
Static Public Member Functions inherited from eZDataType
static | create ( $dataTypeString)
static | registeredDataTypes ()
static | register ( $dataTypeString, $className)
static | allowedTypes ()
static | loadAndRegisterAllTypes ()
static | loadAndRegisterType ( $type)

## Detailed Description

A content datatype for setting ini file settings.

Enable editing and versioning of ini files from the admin interface

Definition at line 21 of file ezinisettingtype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZIniSettingType::__construct | ( |  | ) |

Definition at line 40 of file ezinisettingtype.php.

References ezpI18n\tr().

## Member Function Documentation

## ◆ diff()

eZIniSettingType::diff | ( |  | $old,
|  |  | $new,
|  |  | $options = `false`
| ) |  |

Method used by content diff system to retrieve changes in attributes. This method implements the default behaviour, which is to show old and new version values of the object.

Reimplemented from eZDataType.

Definition at line 616 of file ezinisettingtype.php.

## ◆ fetchClassAttributeHTTPInput()

eZIniSettingType::fetchClassAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $classAttribute
| ) |  |

Fetches the HTTP input for the content class attribute.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 194 of file ezinisettingtype.php.

References setSiteAccessList().

## ◆ fetchObjectAttributeHTTPInput()

eZIniSettingType::fetchObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $objectAttribute
| ) |  |

Fetches the HTTP input for the content object attribute.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 241 of file ezinisettingtype.php.

## ◆ fromString()

eZIniSettingType::fromString | ( |  | $contentObjectAttribute,
|  |  | $string
| ) |  |

Reimplemented from eZDataType.

Definition at line 571 of file ezinisettingtype.php.

## ◆ hasObjectAttributeContent()

eZIniSettingType::hasObjectAttributeContent | ( |  | $contentObjectAttribute | ) |

Returns
  `true` if the datatype finds any content in the attribute $contentObjectAttribute.

Reimplemented from eZDataType.

Definition at line 414 of file ezinisettingtype.php.

## ◆ iniFile()

eZIniSettingType::iniFile | ( |  | $contentClassAttribute | ) |
| private

Get ini settings file

Parameters

  Content | Class Attribute

Definition at line 527 of file ezinisettingtype.php.

Referenced by validateObjectAttributeHTTPInput().

## ◆ iniParameterName()

eZIniSettingType::iniParameterName | ( |  | $contentClassAttribute | ) |
| private

Get Ini section parameter name

Parameters

  Content | Class Attribute

Definition at line 516 of file ezinisettingtype.php.

Referenced by validateObjectAttributeHTTPInput().

## ◆ iniSection()

eZIniSettingType::iniSection | ( |  | $contentClassAttribute | ) |
| private

Get Ini file section name

Parameters

  Content | Class Attribute

Definition at line 538 of file ezinisettingtype.php.

Referenced by validateObjectAttributeHTTPInput().

## ◆ initializeClassAttribute()

eZIniSettingType::initializeClassAttribute | ( |  | $classAttribute | ) |

Initializes the class attribute with some data.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 119 of file ezinisettingtype.php.

References setSiteAccessList().

## ◆ initializeObjectAttribute()

eZIniSettingType::initializeObjectAttribute | ( |  | $objectAttribute,
|  |  | $currentVersion,
|  |  | $originalContentObjectAttribute
| ) |  |

Initializes the object attribute with some data.

Parameters

  eZContentObjectAttribute | $objectAttribute |
  int | $currentVersion |
  eZContentObjectAttribute | $originalContentObjectAttribute |

Reimplemented from eZDataType.

Definition at line 124 of file ezinisettingtype.php.

References eZDebug\writeNotice().

## ◆ objectAttributeContent()

eZIniSettingType::objectAttributeContent | ( |  | $objectAttribute | ) |

Returns the content data for the given content object attribute.

Reimplemented from eZDataType.

Definition at line 358 of file ezinisettingtype.php.

References parseArrayInput().

## ◆ onPublish()

eZIniSettingType::onPublish | ( |  | $contentObjectAttribute,
|  |  | $contentObject,
|  |  | $publishedNodes
| ) |  |

Performs necessary actions with attribute data after object is published, it means that you have access to published nodes.

Returns
  True if the value was stored correctly.

Note
  The method is entirely up to the datatype, for instance it could reuse the available types in the the attribute or store in a separate object.
  Might be transaction unsafe.

Reimplemented from eZDataType.

Definition at line 263 of file ezinisettingtype.php.

References parseArrayInput(), eZDebug\writeError(), and eZDebug\writeNotice().

## ◆ parseArrayInput()

eZIniSettingType::parseArrayInput | ( |  | $inputText,
|  | & | $outputArray,
|  |  | $makeEmptyArray = `false`
| ) |  |
| private

Parse array input text into array with korrect keys.

Parameters

  input | text
  array | to store parsed file to

Returns
  true if parsed successfully, false if illegal syntax

Definition at line 321 of file ezinisettingtype.php.

Referenced by objectAttributeContent(), onPublish(), and validateObjectAttributeHTTPInput().

## ◆ serializeContentClassAttribute()

eZIniSettingType::serializeContentClassAttribute | ( |  | $classAttribute,
|  |  | $attributeNode,
|  |  | $attributeParametersNode
| ) |  |

Adds the necessary dom structure to the attribute parameters.

Note
  The default is to add unsupported='true' to the attribute node, meaning that the datatype does not support serializing.

Reimplemented from eZDataType.

Definition at line 419 of file ezinisettingtype.php.

## ◆ serializeContentObjectAttribute()

eZIniSettingType::serializeContentObjectAttribute | ( |  | $package,
|  |  | $objectAttribute
| ) |  |

Parameters

  package |
  objectAttribute | content attribute

Returns
  a DOM representation of the content object attribute

Reimplemented from eZDataType.

Definition at line 583 of file ezinisettingtype.php.

References eZDataType\createContentObjectAttributeDOMNode().

## ◆ setSiteAccessList()

eZIniSettingType::setSiteAccessList | ( |  | $contentClassAttribute | ) |
| static private

Set site access list, including override option

Parameters

  contentClassAttribute | to set site access list and override options

Definition at line 550 of file ezinisettingtype.php.

Referenced by fetchClassAttributeHTTPInput(), and initializeClassAttribute().

## ◆ title()

eZIniSettingType::title | ( |  | $objectAttribute,
|  |  | $name = `null`
| ) |  |

Returns the title of the current type, this is to form the title of the object.

Reimplemented from eZDataType.

Definition at line 409 of file ezinisettingtype.php.

## ◆ toString()

eZIniSettingType::toString | ( |  | $objectAttribute | ) |

Returns
  string representation of an contentobjectattribute data for simplified export

Reimplemented from eZDataType.

Definition at line 563 of file ezinisettingtype.php.

## ◆ unserializeContentClassAttribute()

eZIniSettingType::unserializeContentClassAttribute | ( |  | $classAttribute,
|  |  | $attributeNode,
|  |  | $attributeParametersNode
| ) |  |

Use Override to do ini alterations if the specified site access does not exist

Reimplemented from eZDataType.

Definition at line 453 of file ezinisettingtype.php.

## ◆ unserializeContentObjectAttribute()

eZIniSettingType::unserializeContentObjectAttribute | ( |  | $package,
|  |  | $objectAttribute,
|  |  | $attributeNode
| ) |  |

Unserialize contentobject attribute

Parameters

  package |
  objectAttribute | contentobject attribute object
  attributeNode | ezdomnode object

Reimplemented from eZDataType.

Definition at line 601 of file ezinisettingtype.php.

## ◆ validateClassAttributeHTTPInput()

eZIniSettingType::validateClassAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $classAttribute
| ) |  |

Validates the input for a class attribute and returns a validation state as defined in eZInputValidator.

Note
  Default implementation does nothing and returns accepted.

Reimplemented from eZDataType.

Definition at line 79 of file ezinisettingtype.php.

References eZInputValidator\STATE_ACCEPTED, eZInputValidator\STATE_INVALID, and eZDebug\writeNotice().

## ◆ validateObjectAttributeHTTPInput()

eZIniSettingType::validateObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $objectAttribute
| ) |  |

Validates the input for an object attribute and returns a validation state as defined in eZInputValidator.

Note
  Default implementation does nothing and returns accepted.

Reimplemented from eZDataType.

Definition at line 47 of file ezinisettingtype.php.

References iniFile(), iniParameterName(), iniSection(), parseArrayInput(), eZInputValidator\STATE_ACCEPTED, eZInputValidator\STATE_INVALID, and ezpI18n\tr().

## Member Data Documentation

## ◆ CLASS_FILE

const eZIniSettingType::CLASS_FILE = '_ezinisetting_file_'

Definition at line 26 of file ezinisettingtype.php.

## ◆ CLASS_FILE_FIELD

const eZIniSettingType::CLASS_FILE_FIELD = 'data_text1'

Definition at line 31 of file ezinisettingtype.php.

## ◆ CLASS_INI_INSTANCE

const eZIniSettingType::CLASS_INI_INSTANCE = '_ezinisetting_ini_instance_'

Definition at line 29 of file ezinisettingtype.php.

## ◆ CLASS_INI_INSTANCE_FIELD

const eZIniSettingType::CLASS_INI_INSTANCE_FIELD = 'data_text4'

Definition at line 35 of file ezinisettingtype.php.

## ◆ CLASS_PARAMETER

const eZIniSettingType::CLASS_PARAMETER = '_ezinisetting_parameter_'

Definition at line 28 of file ezinisettingtype.php.

## ◆ CLASS_PARAMETER_FIELD

const eZIniSettingType::CLASS_PARAMETER_FIELD = 'data_text3'

Definition at line 33 of file ezinisettingtype.php.

## ◆ CLASS_SECTION

const eZIniSettingType::CLASS_SECTION = '_ezinisetting_section_'

Definition at line 27 of file ezinisettingtype.php.

## ◆ CLASS_SECTION_FIELD

const eZIniSettingType::CLASS_SECTION_FIELD = 'data_text2'

Definition at line 32 of file ezinisettingtype.php.

## ◆ CLASS_TYPE

const eZIniSettingType::CLASS_TYPE = '_ezinisetting_type_'

Definition at line 25 of file ezinisettingtype.php.

## ◆ CLASS_TYPE_ARRAY

const eZIniSettingType::CLASS_TYPE_ARRAY = 6

Definition at line 38 of file ezinisettingtype.php.

## ◆ CLASS_TYPE_FIELD

const eZIniSettingType::CLASS_TYPE_FIELD = 'data_int1'

Definition at line 34 of file ezinisettingtype.php.

## ◆ DATA_TYPE_STRING

const eZIniSettingType::DATA_TYPE_STRING = 'ezinisetting'

Definition at line 23 of file ezinisettingtype.php.

## ◆ SITE_ACCESS_LIST_FIELD

const eZIniSettingType::SITE_ACCESS_LIST_FIELD = 'data_text5'

Definition at line 36 of file ezinisettingtype.php.

The documentation for this class was generated from the following file:

- ezinisettingtype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.